Subject: [alpine-aports] [PATCH 1/1] main/feh: upgrade to 2.7.1

From: Daniel Sabogal <[email-masked]>
Date: Thu, 1 Sep 2016 23:12:06 -0400

---
 main/feh/APKBUILD | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/main/feh/APKBUILD b/main/feh/APKBUILD
index c3c9c0d..1415a8a 100644
--- a/main/feh/APKBUILD
+++ b/main/feh/APKBUILD
@@ -1,6 +1,6 @@
 # Maintainer: Natanael Copa <[email-masked]>
 pkgname=feh
-pkgver=2.17
+pkgver=2.17.1
 pkgrel=0
 pkgdesc="feh is a fast, lightweight image viewer which uses imlib2"
 url="http://feh.finalrewind.org/"
@@ -26,6 +26,6 @@ package() {
 		-C "$builddir" install || return 1
 }
 
-md5sums="689ed371e668628510eafeaeff1040dc  feh-2.17.tar.bz2"
-sha256sums="dfe6fd362a988eba964de3eb1ecc083cfbdf5132ade36e68b6f18e07a78980d4  feh-2.17.tar.bz2"
-sha512sums="64b347766b2d39dcd275eb40a10d82ef65fa323485be6be0f25f300995e79739725b512f2a97971a68a2d8fb690ba023957d0125c39367c32af009e9a702c2c3  feh-2.17.tar.bz2"
+md5sums="c78718795ff2b394f29346c556d943ac  feh-2.17.1.tar.bz2"
+sha256sums="a9e818a4ad6ab427597e1799527a7576856c233525e67afb1eb2cb3ae709d853  feh-2.17.1.tar.bz2"
+sha512sums="d8fd67ace39c690880398232ff73d315c2f0db4dad356e31edb72d02e8d31da96276c45968e0a13764c99b8c54a861478663471ca5b4cc0e9217019e6944cf07  feh-2.17.1.tar.bz2"
-- 
2.9.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Daniel Sabogal <[email-masked]>
Date: Thu, 1 Sep 2016 23:12:07 -0400

Removed libxfont-doc which only contained the COPYING file
---
 main/libxfont/APKBUILD | 30 ++++++++++--------------------
 1 file changed, 10 insertions(+), 20 deletions(-)

diff --git a/main/libxfont/APKBUILD b/main/libxfont/APKBUILD
index ad44736..f64a457 100644
--- a/main/libxfont/APKBUILD
+++ b/main/libxfont/APKBUILD
@@ -1,30 +1,21 @@
 # Maintainer: Natanael Copa <[email-masked]>
 pkgname=libxfont
-pkgver=1.5.1
+pkgver=1.5.2
 pkgrel=0
 pkgdesc="X11 font rasterisation library"
 url="http://xorg.freedesktop.org/"
 arch="all"
 license="custom"
-subpackages="$pkgname-dev $pkgname-doc"
-depends=
-install=
+subpackages="$pkgname-dev"
+depends=""
 depends_dev="xproto fontsproto libfontenc-dev freetype-dev"
 makedepends="$depends_dev xtrans zlib-dev"
 source="http://xorg.freedesktop.org/archive/individual/lib/libXfont-$pkgver.tar.bz2"
 
-_builddir="$srcdir"/libXfont-$pkgver
-prepare() {
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-}
+builddir="$srcdir/libXfont-$pkgver"
 
 build() {
-	cd "$_builddir"
+	cd "$builddir"
 	./configure \
 		--build=$CBUILD \
 		--host=$CHOST \
@@ -35,10 +26,9 @@ build() {
 }
 
 package() {
-	cd "$_builddir"
-	make DESTDIR="$pkgdir" install || return 1
-	install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+	make DESTDIR="$pkgdir" \
+		-C "$builddir" install || return 1
 }
-md5sums="96f76ba94b4c909230bac1e2dcd551c4  libXfont-1.5.1.tar.bz2"
-sha256sums="b70898527c73f9758f551bbab612af611b8a0962202829568d94f3edf4d86098  libXfont-1.5.1.tar.bz2"
-sha512sums="3ca8f7c1c642072c9bf9a755b45857f77753111ce6f1f99bd804e0f1b90cf61259fbde609a5342cce9c1ac5431b093bf75febb68baff2f2688e0a5fe5864a666  libXfont-1.5.1.tar.bz2"
+md5sums="254ee42bd178d18ebc7a73aacfde7f79  libXfont-1.5.2.tar.bz2"
+sha256sums="02945ea68da447102f3e6c2b896c1d2061fd115de99404facc2aca3ad7010d71  libXfont-1.5.2.tar.bz2"
+sha512sums="6f2005eb07afe6ea39b0be035cebdf3492b60758b7b9bed9e226280e370c15883ce6e2f72d1faa006968a0d9b3b649d3b80fcdaa3f7e01a71abcae88d99c7a41  libXfont-1.5.2.tar.bz2"
-- 
2.9.3

---

---

From: Daniel Sabogal <[email-masked]>
Date: Thu, 1 Sep 2016 23:12:08 -0400

---
 main/nano/APKBUILD | 23 +++++++----------------
 1 file changed, 7 insertions(+), 16 deletions(-)

diff --git a/main/nano/APKBUILD b/main/nano/APKBUILD
index a0f1481..c3f16ff 100644
--- a/main/nano/APKBUILD
+++ b/main/nano/APKBUILD
@@ -1,7 +1,7 @@
 # Contributor: Michael Mason <[email-masked]>
 # Maintainer: Michael Zhou <[email-masked]>
 pkgname=nano
-pkgver=2.6.3
+pkgver=2.7.0
 pkgrel=0
 pkgdesc="Text Editor. GNU nano is designed to be a free replacement for the Pico text editor."
 url="http://www.nano-editor.org/"
@@ -9,23 +9,14 @@ arch="all"
 license="GPL"
 depends=
 makedepends="ncurses-dev"
-install=
 subpackages="$pkgname-doc $pkgname-syntax"
 source="http://www.nano-editor.org/dist/v${pkgver%.*}/$pkgname-$pkgver.tar.gz
 	"
 
-_builddir="$srcdir"/$pkgname-$pkgver
-prepare() {
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-}
+builddir="$srcdir/$pkgname-$pkgver"
 
 build() {
-	cd "$_builddir"
+	cd "$builddir"
 	./configure \
 		--build=$CBUILD \
 		--host=$CHOST \
@@ -39,7 +30,7 @@ build() {
 }
 
 package() {
-	cd "$_builddir"
+	cd "$builddir"
 	make DESTDIR="$pkgdir" install
 	install -Dm644 doc/nanorc.sample \
 		"$pkgdir"/etc/nanorc || return 1
@@ -59,6 +50,6 @@ syntax() {
 		"$subpkgdir"/usr/share/$pkgname/ || return 1
 }
 
-md5sums="1213c7f17916e65afefc95054c1f90f9  nano-2.6.3.tar.gz"
-sha256sums="4f4054e12f2181c8e436163e931a0a565612242ff9e566c4d1adeda0f91fd503  nano-2.6.3.tar.gz"
-sha512sums="5079c0da976e3cfef9f3980e37c2501837bc66bb98fadd6fe7f02b061b83c99454678833fd43c74e6796cdc4ee9028ccba7a8a05e0f86e7a6517ba4d4c6bc95e  nano-2.6.3.tar.gz"
+md5sums="0805c5b8c75d4fde053e4b1431270f91  nano-2.7.0.tar.gz"
+sha256sums="5dd1e9cf8e3de676c141a0b23f312e68380ef049926e2913e2114bbe32fbeac3  nano-2.7.0.tar.gz"
+sha512sums="d70719b9623e3b3c5f43dbf4dd1d53be5d498b28416d1c6bc4459887d34531222827dfb23bc6932a6304fe59df8d278810de813b4bc08b38c03f1badeddad12f  nano-2.7.0.tar.gz"
-- 
2.9.3

---